Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 1230343003: V8: Add SIMD functions. (Closed)

Created:
4 years ago by bbudge
Modified:
3 years, 11 months ago
Reviewers:
*Dan Ehrenberg, rossberg
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

V8: Add SIMD functions for Phase 1. Float32x4: abs, neg, sqrt, reciprocalApproximation, reciprocalSqrtApproximation, add, sub, mul, div, min, max, minNum, maxNum, lessThan, lessThanOrEqual, greaterThan, greaterThanOrEqual, equal, notEqual, select, swizzle, shuffle, fromInt32x4, fromInt32x4Bits, fromInt16x8Bits, fromInt8x16Bits. Int32x4: neg, add, sub, mul, min, max, and, or, xor, not, shiftLeftByScalar, shiftRightLogicalByScalar, shiftRightArithmeticByScalar, lessThan, lessThanOrEqual, greaterThan, greaterThanOrEqual, equal, notEqual, select, swizzle, shuffle, fromFloat32x4, fromFloat32x4Bits, fromInt16x8Bits, fromInt8x16Bits. Int16x8: neg, add, sub, mul, min, max, and, or, xor, not, shiftLeftByScalar, shiftRightLogicalByScalar, shiftRightArithmeticByScalar, lessThan, lessThanOrEqual, greaterThan, greaterThanOrEqual, equal, notEqual, select, swizzle, shuffle, fromFloat32x4Bits, fromInt32x4Bits, fromInt8x16Bits. Int8x16: neg, add, sub, mul, min, max, and, or, xor, not, shiftLeftByScalar, shiftRightLogicalByScalar, shiftRightArithmeticByScalar, lessThan, lessThanOrEqual, greaterThan, greaterThanOrEqual, equal, notEqual, select, swizzle, shuffle, fromFloat32x4Bits, fromInt32x4Bits, fromInt16x8Bitss. Bool32x4, Bool16x8, Bool8x16: and, or, not, anyTrue, allTrue, select, swizzle, shuffle. I might have forgotten a few. LOG=N BUG=v8:4124 Committed: https://crrev.com/6378f57b30f1141850ef7c260972ae109450b023 Cr-Commit-Position: refs/heads/master@{#30051}

Patch Set 1 : #

Total comments: 1

Patch Set 2 : Add integer 'neg' functions. #

Total comments: 9

Patch Set 3 : Dan's comments. #

Patch Set 4 : Remove name table size hack. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1302 lines, -174 lines) Patch
M src/harmony-simd.js View 1 2 18 chunks +417 lines, -22 lines 0 comments Download
M src/messages.js View 1 2 2 chunks +23 lines, -7 lines 0 comments Download
M src/objects.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M src/objects.cc View 1 2 2 chunks +8 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 1 chunk +172 lines, -36 lines 0 comments Download
M src/runtime/runtime-simd.cc View 1 2 4 chunks +680 lines, -109 lines 0 comments Download

Messages

Total messages: 22 (11 generated)
bbudge
So sorry about sending you this. PTAL https://codereview.chromium.org/1230343003/diff/120001/src/heap/heap.cc File src/heap/heap.cc (right): https://codereview.chromium.org/1230343003/diff/120001/src/heap/heap.cc#newcode3378 src/heap/heap.cc:3378: NameDictionary::New(isolate(), 2 ...
3 years, 11 months ago (2015-08-04 00:35:49 UTC) #8
bbudge
On 2015/08/04 00:35:49, bbudge wrote: > So sorry about sending you this. PTAL > > ...
3 years, 11 months ago (2015-08-04 00:48:27 UTC) #9
rossberg
LGTM, but Dan should have a look as well.
3 years, 11 months ago (2015-08-04 13:13:33 UTC) #12
Dan Ehrenberg
Sorry for the long turnaround time. Just a couple changes needed; the denormal/reciprocal approximation stuff ...
3 years, 11 months ago (2015-08-06 00:12:25 UTC) #13
bbudge
https://codereview.chromium.org/1230343003/diff/140001/src/harmony-simd.js File src/harmony-simd.js (right): https://codereview.chromium.org/1230343003/diff/140001/src/harmony-simd.js#newcode11 src/harmony-simd.js:11: var $bool8x16ToString; On 2015/08/06 00:12:25, Dan Ehrenberg wrote: > ...
3 years, 11 months ago (2015-08-06 14:07:32 UTC) #14
bbudge
It looks like CalculateFirstPageSizes needs to be updated. https://code.google.com/p/chromium/codesearch#chromium/src/v8/src/snapshot/snapshot-common.cc&l=92 Example bot failure: http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_rel/builds/8429
3 years, 11 months ago (2015-08-06 15:13:54 UTC) #15
bbudge
The failures are because I forgot to remove a hack in heap.cc that requests twice ...
3 years, 11 months ago (2015-08-06 17:55:44 UTC) #16
Dan Ehrenberg
lgtm
3 years, 11 months ago (2015-08-06 20:02:14 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1230343003/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1230343003/180001
3 years, 11 months ago (2015-08-06 20:23:14 UTC) #20
commit-bot: I haz the power
Committed patchset #4 (id:180001)
3 years, 11 months ago (2015-08-06 20:24:52 UTC) #21
commit-bot: I haz the power
3 years, 11 months ago (2015-08-06 20:25:05 UTC) #22
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/6378f57b30f1141850ef7c260972ae109450b023
Cr-Commit-Position: refs/heads/master@{#30051}

Powered by Google App Engine
This is Rietveld 408576698